%define name perl-HTML-Tagset
%define real_name HTML-Tagset
%define module HTML-Tagset
%define version 3.03
%define release 1mdk

Summary: 	This module contains data tables useful in dealing with HTML.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Distribution:	Mandrake Linux
Source:		http://www.cpan.org/authors/id/S/SB/SBURKE/%{real_name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl >= 5.600

%description
This module contains data tables useful in dealing with HTML.

It provides no functions or methods.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_libdir}/perl5/man/man3/*
%{_libdir}/perl5/site_perl/5.6.1/HTML
%{perl_sitearch}/auto/HTML

%changelog
* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.03-1mdk
- First Mandrake Release.
